Bug 477507 - rdiff-backup uses deprecated python 2.6 module
rdiff-backup uses deprecated python 2.6 module
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rdiff-backup (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Gavin Henry
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-21 05:26 EST by Jonathan Kamens
Modified: 2008-12-29 14:00 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-29 14:00:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Kamens 2008-12-21 05:26:58 EST
/usr/lib/python2.6/site-packages/rdiff_backup/hash.py:22: DeprecationWarning: the sha module is deprecated; use the hashlib module instead
Comment 1 Kevin Fenzi 2008-12-29 14:00:53 EST
This is fixed in the 1.2.3 version I am just pushing out now. 

From the changelog: 

"Suppress warnings about the deprecated sha module in Python 2.6. We'll remove
this after rdiff-backup is ported to Python 3. (Patch from Josh Nisly)"

Closing this rawhide now. 
Feel free to reopen or file a new bug if you spot anything further.

Note You need to log in before you can comment on or make changes to this bug.